Part Circle/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "==Описание==")
(Updating to match new version of source page)
 
(19 intermediate revisions by 4 users not shown)
Line 4: Line 4:
|[[Part_Spiral/ru|Плоская Спираль]]
|[[Part_Spiral/ru|Плоская Спираль]]
|[[Part_Ellipse/ru|Эллипс]]
|[[Part_Ellipse/ru|Эллипс]]
|[[Part_Module/ru|Part(Деталь)]]
|[[Part_Workbench/ru|Верстак Part]]
|IconL=Part_Spiral.svg
|IconL=Part_Spiral.svg
|IconR=Part_Ellipse.svg
|IconR=Part_Ellipse.svg
Line 10: Line 10:
}}
}}


<div class="mw-translate-fuzzy">
{{GuiCommand/ru
{{GuiCommand/ru
|Name=Part Circle
|Name=Part Circle
|Name/ru=Окружность
|Name/ru=Окружность
|MenuLocation=Деталь → [[Part_Primitives/ru|Создать примитивы...]] → Окружность
|MenuLocation=Деталь → [[Part_Primitives/ru|Создать примитивы...]] → Окружность
|Workbenches=[[Part_Module/ru|Part]]
|Workbenches=[[Part_Workbench/ru|Верстак Part]]
|SeeAlso=
|SeeAlso=
}}
}}
</div>


<span id="Description"></span>
==Описание==
==Описание==


<div class="mw-translate-fuzzy">
This command will create a circular curved edge. With the default values, the circular curved edge will be closed and therefore will be a circle. If the properties Angle 0 or Angle 1 are changed from their default values (0 and 360) the edge will be an open curve, an arc.
Эта команда создаёт ребро в форме круга. При значениях по умолчанию круговое изогнутое ребро будет замкнутым и, следовательно, будет кругом. Если свойства Угол0 или Угол1 изменить от их значений по умолчанию (0 и 360), ребро будет открытой кривой, то есть дугой.
</div>


A Part Circle is in fact a closed counterclockwise circular arc, it can be turned into an arc by changing its {{PropertyData|Angle1}} and/or {{PropertyData|Angle2}} properties.
Alternatively a Part Circle can be initially defined from three points. Once created the circle will only contain the standard Part Circle properties and will no longer contain a reference to the creation points.


[[Image:Part_Circle_Example.png|400px]]
==Usage==


<span id="Usage"></span>
A Circle geometric primitive is available from the Create Primitives dialogue in the Part workbench.
==Применение==
# Switch to the [[Image:Workbench_Part.svg|24px]] [[Part_Module|Part]]
# There are several ways to access the Create Primitives dialogue:
#* Press the [[Image:Part_Primitives.svg|24px]] [[Part_Primitives|Primitives]] button located in the Part toolbar
#* Use the {{MenuCommand|Part → [[Part_Primitives|Create primitives]] → Circle}}


See [[Part_Primitives#Usage|Part Primitives]].
==Properties==


A Part Circle can alternatively be created by selecting three points:
* {{Parameter|Radius}}: the radius of the curved edge (arc or circle)
# In the task panel of the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command select the {{MenuCommand|[[Image:Part_Circle.svg|16px]] Circle}} option from the dropdown list.
* {{Parameter|Angle 0}}: start of the curved edge, (degrees anti-clockwise), the default value is 0
# Press the {{Button|From three points}} button.
* {{Parameter|Angle 1}}: end of the curved edge, (degrees anti-clockwise), the default value is 360
# Select three vertices in the [[3D_view|3D view]]. There is no need to hold down the {{KEY|Ctrl}} key.
# A circle is created.
# The selected vertices are only used at creation time to calculate the {{PropertyData|Radius}} and {{PropertyData|Placement}} of the circle.


== Example ==


[[Image:Part_Circle_Scripting_Example.png|thumb|Part Circle from the scripting example]]
{{Docnav

|[[Part_Spiral|Spiral]]
A Part Circle object created with the [[#Scripting|scripting example]] below is shown here.
|[[Part_Ellipse|Ellipse]]

|[[Part_Module|Part]]
<span id="Properties"></span>
==Свойства==

See also: [[Property_editor|Property editor]].

A Part Circle object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:

=== Data ===

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Base}}

<div class="mw-translate-fuzzy">
* {{Parameter|Радиус(Radius)}}: радиус изогнутого ребра (дуги или окружности)
* {{Parameter|Угол(Angle) 0}}: начало изогнутого ребра (в градусах и в направлении против часовой стрелки), значение по умолчанию - 0
* {{Parameter|Угол(Angle) 1}}: окончание изогнутого ребра (в градусах и в направлении против часовой стрелки), значение по умолчанию - 360
</div>

== Scripting ==

See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].

A Part Circle can be created with the {{Incode|addObject()}} method of the document:

{{Code|code=
circle = FreeCAD.ActiveDocument.addObject("Part::Circle", "myCircle")
}}

* Where {{Incode|"myCircle"}} is the name for the object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

circle = doc.addObject("Part::Circle", "myCircle")
circle.Radius = 10
circle.Angle1 = 45
circle.Angle2 = 225
circle.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()
}}


{{Docnav/ru
|[[Part_Spiral/ru|Плоская Спираль]]
|[[Part_Ellipse/ru|Эллипс]]
|[[Part_Workbench/ru|Верстак Part]]
|IconL=Part_Spiral.svg
|IconL=Part_Spiral.svg
|IconR=Part_Ellipse.svg
|IconR=Part_Ellipse.svg
Line 48: Line 109:
}}
}}


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 11:52, 21 January 2023

Окружность

Системное название
Part Circle
Расположение в меню
Деталь → Создать примитивы... → Окружность
Верстаки
Верстак Part
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Нет

Описание

Эта команда создаёт ребро в форме круга. При значениях по умолчанию круговое изогнутое ребро будет замкнутым и, следовательно, будет кругом. Если свойства Угол0 или Угол1 изменить от их значений по умолчанию (0 и 360), ребро будет открытой кривой, то есть дугой.

A Part Circle is in fact a closed counterclockwise circular arc, it can be turned into an arc by changing its ДанныеAngle1 and/or ДанныеAngle2 properties.

Применение

See Part Primitives.

A Part Circle can alternatively be created by selecting three points:

  1. In the task panel of the Part Primitives command select the Circle option from the dropdown list.
  2. Press the From three points button.
  3. Select three vertices in the 3D view. There is no need to hold down the Ctrl key.
  4. A circle is created.
  5. The selected vertices are only used at creation time to calculate the ДанныеRadius and ДанныеPlacement of the circle.

Example

Part Circle from the scripting example

A Part Circle object created with the scripting example below is shown here.

Свойства

See also: Property editor.

A Part Circle object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Base

  • Радиус(Radius): радиус изогнутого ребра (дуги или окружности)
  • Угол(Angle) 0: начало изогнутого ребра (в градусах и в направлении против часовой стрелки), значение по умолчанию - 0
  • Угол(Angle) 1: окончание изогнутого ребра (в градусах и в направлении против часовой стрелки), значение по умолчанию - 360

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Circle can be created with the addObject() method of the document:

circle = FreeCAD.ActiveDocument.addObject("Part::Circle", "myCircle")
  • Where "myCircle" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

circle = doc.addObject("Part::Circle", "myCircle")
circle.Radius = 10
circle.Angle1 = 45
circle.Angle2 = 225
circle.Placement = App.Placement(App.Vector(1, 2, 3), App.Rotation(30, 45, 10))

doc.recompute()